import request from '@/utils/request'

// 查询护理站人员信息列表
export function listPerson(query) {
    return request({
        url: 'system/person/getNurseStationPersonList',
        method: 'get',
        params: query
    })
}
// 查询护理站名称
export function stationList(query) {
    return request({
        url: 'system/station/list',
        method: 'get',
        params: query
    })
}

// 查询所属科室
export function StationDepartmentList(query) {
    return request({
        url: 'system/StationDepartment/list',
        method: 'get',
        params: query
    })
}
// 查询护理站人员信息详细
export function getPerson(id) {
    return request({
        url: '/system/person/' + id,
        method: 'get'
    })
}

// 新增护理站人员信息
export function addPerson(data) {
    return request({
        url: 'system/person/add',
        method: 'post',
        data: data
    })
}

// 修改护理站人员信息
export function updatePerson(data) {
    return request({
        url: 'system/person/edit',
        method: 'post',
        data: data
    })
}

// 删除护理站人员信息
export function delPerson(id) {
    return request({
        url: '/system/person/' + id,
        method: 'delete'
    })
}
